test: _CM_KEY_CONTROL_BLOCK struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _CM_KEY_CONTROL_BLOCK Struct Reference

`#include <cmdata.h>`

List of all members.

## Public Attributes

BOOLEAN | Delete
USHORT | RefCount
USHORT | ExtFlags
USHORT | Flags
_CM_KEY_CONTROL_BLOCK * | ParentKcb
PCM_NAME_CONTROL_BLOCK | NameBlock
HCELL_INDEX | Security
_CACHED_CHILD_LIST | ValueCache
USHORT | DelayedCloseIndex
USHORT | TotalLevels
_CM_KEY_NODE * | KeyNode
LIST_ENTRY | KeyBodyListHead

## Member Data Documentation

ULONG _CM_KEY_CONTROL_BLOCK::ConvKey

| Definition at line 277 of file cmdata.h. Referenced by CmpCacheLookup(), and CmpCreateKeyControlBlock().

USHORT _CM_KEY_CONTROL_BLOCK::DelayedCloseIndex

| Definition at line 293 of file cmdata.h. Referenced by CmpDereferenceKeyControlBlockWithLock().

BOOLEAN _CM_KEY_CONTROL_BLOCK::Delete

| Definition at line 272 of file cmdata.h. Referenced by CmDeleteKey(), CmpCleanUpKcbCacheWithLock(), CmpCleanUpKcbValueCache(), CmpCreateKeyControlBlock(), CmpDereferenceKeyControlBlockWithLock(), CmpFlushNotify(), CmpRefreshWorkerRoutine(), CmpSearchKeyControlBlockTree(), EhQueryKey(), and NtUnloadKey().

USHORT _CM_KEY_CONTROL_BLOCK::ExtFlags

| Definition at line 283 of file cmdata.h. Referenced by CmpCleanUpKcbCacheWithLock(), CmpCleanUpKcbValueCache(), CmpCleanUpSubKeyInfo(), and CmpDereferenceKeyControlBlockWithLock().

USHORT _CM_KEY_CONTROL_BLOCK::Flags

| Definition at line 284 of file cmdata.h. Referenced by CmpDeleteKeyObject(), and CmpDoCreate().

PCM_INDEX_HINT_BLOCK _CM_KEY_CONTROL_BLOCK::IndexHint

| Definition at line 290 of file cmdata.h. Referenced by CmpCleanUpKcbCacheWithLock(), and CmpCleanUpSubKeyInfo().

LIST_ENTRY _CM_KEY_CONTROL_BLOCK::KeyBodyListHead

| Definition at line 297 of file cmdata.h.

HCELL_INDEX _CM_KEY_CONTROL_BLOCK::KeyCell

| Definition at line 280 of file cmdata.h. Referenced by CmDeleteKey(), CmpParseKey(), CmpRefreshWorkerRoutine(), EhQueryKey(), NtQueryOpenSubKeys(), and NtUnloadKey().

CM_KEY_HASH _CM_KEY_CONTROL_BLOCK::KeyHash

| Definition at line 275 of file cmdata.h. Referenced by CmpRemoveKeyControlBlock().

PHHIVE _CM_KEY_CONTROL_BLOCK::KeyHive

| Definition at line 279 of file cmdata.h. Referenced by CmDeleteKey(), CmpCloseKeyObject(), CmpEnumKeyObjectCallback(), CmpFlushNotify(), CmpParseKey(), CmpRefreshWorkerRoutine(), EhQueryKey(), NtNotifyChangeMultipleKeys(), NtQueryOpenSubKeys(), and NtUnloadKey().

struct _CM_KEY_NODE* _CM_KEY_CONTROL_BLOCK::KeyNode

| Definition at line 295 of file cmdata.h. Referenced by CmDeleteKey(), CmpFlushNotify(), CmpParseKey(), CmpPostNotify(), and CmpReportNotifyHelper().

PCM_NAME_CONTROL_BLOCK _CM_KEY_CONTROL_BLOCK::NameBlock

| Definition at line 286 of file cmdata.h. Referenced by CmpCacheLookup(), CmpCleanUpKcbCacheWithLock(), and CmpConstructName().

UCHAR _CM_KEY_CONTROL_BLOCK::NameHint[CM_SUBKEY_HINT_LENGTH]

| Definition at line 291 of file cmdata.h.

struct _CM_KEY_HASH* _CM_KEY_CONTROL_BLOCK::NextHash

| Definition at line 278 of file cmdata.h. Referenced by CmpSearchKeyControlBlockTree().

struct _CM_KEY_CONTROL_BLOCK* _CM_KEY_CONTROL_BLOCK::ParentKcb

| Definition at line 285 of file cmdata.h. Referenced by CmDeleteKey(), CmpCacheLookup(), CmpCleanUpKcbCacheWithLock(), CmpConstructName(), CmpCreateLinkNode(), CmpDoCreate(), CmpReportNotify(), CmpSearchForOpenSubKeys(), and NtUnloadKey().

USHORT _CM_KEY_CONTROL_BLOCK::RefCount

| Definition at line 273 of file cmdata.h. Referenced by CmpCleanUpKcbCacheWithLock(), CmpCleanUpKcbValueCache(), CmpDereferenceKeyControlBlockWithLock(), CmpReferenceKeyControlBlock(), CmpSearchForOpenSubKeys(), and CmpSearchKeyControlBlockTree().

HCELL_INDEX _CM_KEY_CONTROL_BLOCK::Security

| Definition at line 287 of file cmdata.h.

USHORT _CM_KEY_CONTROL_BLOCK::TotalLevels

| Definition at line 294 of file cmdata.h. Referenced by CmpCacheLookup(), CmpCreateKeyControlBlock(), CmpGetSymbolicLink(), CmpNotifyChangeKey(), CmpReportNotifyHelper(), and CmpSearchForOpenSubKeys().

struct _CACHED_CHILD_LIST _CM_KEY_CONTROL_BLOCK::ValueCache

| Definition at line 288 of file cmdata.h. Referenced by CmpCleanUpKcbValueCache().

The documentation for this struct was generated from the following file:

- cmdata.h